from django.views.decorators.http import require_http_methods

from backend.Service.ImageService import ImageService


@require_http_methods(['POST'])
def Create(reqeust):
    return ImageService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ImageService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ImageService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ImageService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ImageService.Search(reqeust)
